package com.logpresso.scanner.json;

import java.io.IOException;
import java.io.Writer;
import java.util.ArrayList;
import java.util.List;

public class JsonArray {
	private final List<JsonObject> objects = new ArrayList<JsonObject>();

	public void add(JsonObject jsonObject) {
		if (jsonObject != null) {
			objects.add(jsonObject);
		}
	}

	public void write(Writer writer) throws IOException {
		write(writer, 0);
	}

	public void write(Writer writer, int depth) throws IOException {
		boolean comma = false;
		writer.write("[\n");

		for (JsonObject object : objects) {
			if (comma) {
				writer.write(",\n");
			}

			writeTab(writer, depth + 1);
			object.write(writer, depth + 1);
			comma = true;
		}
		writer.write('\n');
		writeTab(writer, depth);
		writer.write(']');
	}

	private void writeTab(Writer writer, int depth) throws IOException {
		for (int i = 0; i < depth; i++)
			writer.write("    ");
	}
}
